using System;
using System.Collections.Generic;
using System.Runtime.InteropServices;
using System.Text;

namespace SIASUN.Autopilot.Device.BeckHoff
{
    [StructLayout(LayoutKind.Sequential, Pack = 1)]
    public class ComplexStruct
    {
        [MarshalAs(UnmanagedType.I1)]
        public bool boolVal;
        [MarshalAs(UnmanagedType.ByValTStr, SizeConst = 6)]
        public string stringVal = "";
        [MarshalAs(UnmanagedType.ByValArray, SizeConst = 4)]
        public int[] dintArr = new int[4];
    }
}
